buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Toulme <anto...@lunar-ocean.com>
Subject Re: Problem With New buildr Install
Date Mon, 05 Dec 2011 19:53:55 GMT
Sure!

Apache Ant is an Apache library which I know is used widely. The version we
rely on might be a bit outdated or not available on ibiblio for some
reason, and I know that the canonical Maven repository has to have it - it
contains all versions of all Apache released artifacts.

I could also check it was there by using mvnrepository.com.

I hope that helps.

Antoine

On Mon, Dec 5, 2011 at 11:00, Shapiro, Jason
<jason.shapiro@redprairie.com>wrote:

> I commented out the previous repository and added this line, and it is
> working now.  Can I ask how you thought to choose that repository?
>
>
> On Mon, Dec 5, 2011 at 11:51 AM, Antoine Toulme <antoine@lunar-ocean.com>wrote:
>
>> Please try adding this ?
>>
>> repositories.remote << "http://repo1.maven.org/maven2"
>>
>> Thanks!
>>
>> Antoine
>>
>>
>> On Mon, Dec 5, 2011 at 10:46, Shapiro, Jason <
>> jason.shapiro@redprairie.com> wrote:
>>
>>> This is from buildfile:
>>>
>>> repositories.remote << 'http://www.ibiblio.org/maven2/'
>>>
>>> Thanks!
>>>
>>> On Mon, Dec 5, 2011 at 11:38 AM, Antoine Toulme <antoine@lunar-ocean.com
>>> > wrote:
>>>
>>>> Hi Jason,
>>>>
>>>> would you please share the remote repositories you use ? It might be
>>>> worth
>>>> adding the canonical Maven repository which should contain Ant.
>>>>
>>>> Something like: http://repo1.maven.org/maven2
>>>>
>>>> Thanks,
>>>>
>>>> Antoine
>>>>
>>>> On Mon, Dec 5, 2011 at 10:08, Shapiro, Jason
>>>> <jason.shapiro@redprairie.com>wrote:
>>>>
>>>> > Hey,
>>>> >
>>>> > I just downloaded and installed ruby 1.8.7 and buildr 1.4.6 on mac os
>>>> x
>>>> > Lion.  I'm getting an error when I run 'buildr build' for the first
>>>> time:
>>>> >
>>>> > Downloading org.apache.ant:ant:jar:1.8.0
>>>> > undefined method `closed?' for nil:NilClass
>>>> > Buildr aborted!
>>>> > RuntimeError : Failed to download org.apache.ant:ant:jar:1.8.0, tried
>>>> the
>>>> > following repositories:
>>>> > http://www.ibiblio.org/maven2//
>>>> >
>>>> > I don't get the error on 'buildr clean'
>>>> >
>>>> > I had buildr previously installed from macports.  I first saw this
>>>> error on
>>>> > that install, so I uninstalled and reinstalled without macports, but
I
>>>> > still get the same error.  I'm wondering if a previous install may
>>>> have
>>>> > left some kind of configuration file that I'm not aware of.  Can
>>>> anybody
>>>> > help me debug this?
>>>> >
>>>> > Thanks
>>>> >
>>>>
>>>
>>>
>>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message